import { FC, HTMLAttributes, ElementType, Ref } from 'react';
export interface AvatarIconProps extends HTMLAttributes<HTMLElement> {
    /**
     * Utilizzarlo in caso di utilizzo di componenti personalizzati, come ad esempio
     * un link gestito da handler onClick.
     * */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente AvatarIcon */
    className?: string;
    /** Le varianti di colore definite in Bootstrap Italia */
    color?: 'primary' | 'secondary' | 'green' | 'orange' | 'red' | string;
    /** Le dimensioni dell'icona definite in Bootstrap Italia */
    size?: 'xs' | 'sm' | 'md' | 'lg' | 'xl' | 'xxl';
    /**
     * Quando definito rende l'icona un link cliccabile. Nota: se definito ignora la prop Tag.
     * */
    href?: string;
    /** Da utilizzare per impostare un riferimento all'elemento DOM */
    innerRef?: Ref<HTMLElement | HTMLAnchorElement>;
}
export declare const AvatarIcon: FC<AvatarIconProps>;
