import { FC, HTMLAttributes, ElementType, Ref, ReactChild, AnchorHTMLAttributes } from 'react';
import { CSSModule } from 'reactstrap';
export declare type BadgeProps = {
    /** Le varianti di colore definite in Bootstrap Italia */
    color?: 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | string;
    /** Quando attivo rende i Badge arrotondati */
    pill?: boolean;
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente Badge */
    className?: string;
    /** Oggetto contenente la nuova mappatura per le classi CSS. */
    cssModule?: CSSModule;
    /** Da utilizzare per impostare un riferimento all'elemento DOM */
    innerRef?: Ref<HTMLElement>;
    /** Il contenuto del badge */
    children: ReactChild;
} & (HTMLAttributes<HTMLElement> | AnchorHTMLAttributes<HTMLAnchorElement>);
export declare const Badge: FC<BadgeProps>;
