import { FC, HTMLAttributes } from 'react';
export interface HeaderProps extends HTMLAttributes<HTMLElement> {
    /** Classi aggiuntive da usare per il componente Header */
    className?: string;
    /** Tipo di componente Header: può essere solamente uno di questi tre tipi */
    type: 'slim' | 'center' | 'navbar';
    /** Riduce la grandezza del componente Header. Funziona solamente con Header "center". */
    small?: boolean;
    /** Imposta il tema per il componente Header. Per gli Header di tipo "slim" o "center"
     *  il valore di default è "dark". Per l'Header di tipo "nav" il tema di default è "light"
     *  in mobile, mentre "dark" in versione desktop.
     */
    theme?: 'light' | 'dark' | '';
}
export declare const Header: FC<HeaderProps>;
