import { FC, HTMLAttributes, ElementType } from 'react';
export interface SidebarProps extends HTMLAttributes<HTMLElement> {
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente Sidebar */
    className?: string;
    /** Indica se il componente Sideebar corrente è di tipo annidato o no */
    secondary?: boolean;
    /** Quando attivo aggiunge una linea separatrice a sinistra */
    left?: boolean;
    /** Quando attivo aggiunge una linea separatrice a destra */
    right?: boolean;
    /** Quando attivo cambia il tema del componente Sidebar rendendola scura */
    dark?: boolean;
}
export declare const Sidebar: FC<SidebarProps>;
