import { FC, HTMLAttributes, ElementType } from 'react';
export interface SpinnerProps extends HTMLAttributes<HTMLElement> {
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente Spinner */
    className?: string;
    /** Utilizzato per indicare lo stato attivo di caricamento (animato) */
    active?: boolean;
    /** Utilizzato per ottenere la versione ridotta del componente Spinner */
    small?: boolean;
    /** Utilizzato per ottenere una animazione alternativa in fase di caricamento */
    double?: boolean;
    /** Etichetta con testo da mostrare ai dispositivi screen reader */
    label?: string;
}
export declare const Spinner: FC<SpinnerProps>;
