import { FC, HTMLAttributes } from 'react';
export interface TimelinePinProps extends HTMLAttributes<HTMLElement> {
    /** Classi aggiuntive da usare per il componente TimelinePin */
    className?: string;
    /** Mostra un'icona all'interno del TimelinePin. Passare il nome dell'icona per utilizzarlo. */
    iconName?: string;
    /**
     * Mostra un'icona all'interno del TimelinePin. Passare il nome dell'icona per utilizzarlo.
     * @deprecated. Utilizzare `iconName`.
     * */
    icon?: string;
    /** Etichetta da associare all'elemento */
    label: string;
    /** Quando abilitato indica che l'evento TimelinePin è collocato nel presente (azzurro) */
    now?: boolean;
    /** Da utilizzare per mostrare un'etichetta per l'evento nel presente */
    nowText?: string;
    /** Quando abilitato indica che l'evento TimelinePin è collocato nel passato (blu scuro) */
    past?: boolean;
}
export declare const TimelinePin: FC<TimelinePinProps>;
